petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGSetCycleType

Sets the type cycles to use. Use PCMGSetCycleTypeOnLevel() for more complicated cycling.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetCycleType(PC pc,PCMGCycleType n)

Logically Collective on PC Many br

### Input Parameters

| pc | - the multigrid context Many br
| PC_MG_CYCLE_V or PC_MG_CYCLE_W | - Many brOptions Database Key: Many br

-pc_mg_cycle_type <v,w> - Many br Many br

### Keywords

MG, set, cycles, V-cycle, W-cycle, multigrid

### See Also

PCMGSetCycleTypeOnLevel()

Level:advanced
Location:src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages